gtkmm: Gtk::CellRendererText Class Reference

gtkmm 2.24.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::CellRendererText Class Reference
TreeView Classes

Renders text in a cell. More...

Inheritance diagram for Gtk::CellRendererText:
[legend]
Collaboration diagram for Gtk::CellRendererText:
[legend]

## Public Member Functions
virtual | ~CellRendererText ()
GtkCellRendererText* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkCellRendererText* | gobj () const
| Provides access to the underlying C GtkObject. More...
| CellRendererText ()
void | set_fixed_height_from_font (int number_of_rows)
| Sets the height of a renderer to explicitly be determined by the "font" and "y_pad" property set on it. More...
Glib::SignalProxy2< void, const Glib::ustring &, const Glib::ustring& > | signal_edited ()
Glib::PropertyProxy < Glib::ustring > | property_text ()
| Text to render. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_text () const
| Text to render. More...
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_markup ()
| Marked up text to render. More...
Glib::PropertyProxy < Pango::AttrList > | property_attributes ()
| A list of style attributes to apply to the text of the renderer. More...
Glib::PropertyProxy_ReadOnly < Pango::AttrList > | property_attributes () const
| A list of style attributes to apply to the text of the renderer. More...
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_background ()
| Background color as a string. More...
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_foreground ()
| Foreground color as a string. More...
Glib::PropertyProxy< Gdk::Color > | property_background_gdk ()
| Background color as a GdkColor. More...
Glib::PropertyProxy_ReadOnly < Gdk::Color > | property_background_gdk () const
| Background color as a GdkColor. More...
Glib::PropertyProxy< Gdk::Color > | property_foreground_gdk ()
| Foreground color as a GdkColor. More...
Glib::PropertyProxy_ReadOnly < Gdk::Color > | property_foreground_gdk () const
| Foreground color as a GdkColor. More...
Glib::PropertyProxy < Glib::ustring > | property_font ()
| Font description as a string, e.g. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_font () const
| Font description as a string, e.g. More...
Glib::PropertyProxy < Pango::FontDescription > | property_font_desc ()
| Font description as a PangoFontDescription struct. More...
Glib::PropertyProxy_ReadOnly < Pango::FontDescription > | property_font_desc () const
| Font description as a PangoFontDescription struct. More...
Glib::PropertyProxy < Glib::ustring > | property_family ()
| Name of the font family, e.g. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_family () const
| Name of the font family, e.g. More...
Glib::PropertyProxy< Pango::Style > | property_style ()
| Font style. More...
Glib::PropertyProxy_ReadOnly < Pango::Style > | property_style () const
| Font style. More...
Glib::PropertyProxy < Pango::Variant > | property_variant ()
| Font variant. More...
Glib::PropertyProxy_ReadOnly < Pango::Variant > | property_variant () const
| Font variant. More...
Glib::PropertyProxy< int > | property_weight ()
| Font weight. More...
Glib::PropertyProxy_ReadOnly< int > | property_weight () const
| Font weight. More...
Glib::PropertyProxy < Pango::Stretch > | property_stretch ()
| Font stretch. More...
Glib::PropertyProxy_ReadOnly < Pango::Stretch > | property_stretch () const
| Font stretch. More...
Glib::PropertyProxy< int > | property_size ()
| Font size. More...
Glib::PropertyProxy_ReadOnly< int > | property_size () const
| Font size. More...
Glib::PropertyProxy< double > | property_size_points ()
| Font size in points. More...
Glib::PropertyProxy_ReadOnly < double > | property_size_points () const
| Font size in points. More...
Glib::PropertyProxy< double > | property_scale ()
| Font scaling factor. More...
Glib::PropertyProxy_ReadOnly < double > | property_scale () const
| Font scaling factor. More...
Glib::PropertyProxy< bool > | property_editable ()
| Whether the text can be modified by the user. More...
Glib::PropertyProxy_ReadOnly < bool > | property_editable () const
| Whether the text can be modified by the user. More...
Glib::PropertyProxy< bool > | property_strikethrough ()
| Whether to strike through the text. More...
Glib::PropertyProxy_ReadOnly < bool > | property_strikethrough () const
| Whether to strike through the text. More...
Glib::PropertyProxy < Pango::Underline > | property_underline ()
| Style of underline for this text. More...
Glib::PropertyProxy_ReadOnly < Pango::Underline > | property_underline () const
| Style of underline for this text. More...
Glib::PropertyProxy< int > | property_rise ()
| Offset of text above the baseline (below the baseline if rise is negative). More...
Glib::PropertyProxy_ReadOnly< int > | property_rise () const
| Offset of text above the baseline (below the baseline if rise is negative). More...
Glib::PropertyProxy < Glib::ustring > | property_language ()
| The language this text is in, as an ISO code. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_language () const
| The language this text is in, as an ISO code. More...
Glib::PropertyProxy < Pango::EllipsizeMode > | property_ellipsize ()
| The preferred place to ellipsize the string, if the cell renderer does not have enough room to display the entire string. More...
Glib::PropertyProxy_ReadOnly < Pango::EllipsizeMode > | property_ellipsize () const
| The preferred place to ellipsize the string, if the cell renderer does not have enough room to display the entire string. More...
Glib::PropertyProxy< int > | property_width_chars ()
| The desired width of the label, in characters. More...
Glib::PropertyProxy_ReadOnly< int > | property_width_chars () const
| The desired width of the label, in characters. More...
Glib::PropertyProxy < Pango::WrapMode > | property_wrap_mode ()
| How to break the string into multiple lines, if the cell renderer does not have enough room to display the entire string. More...
Glib::PropertyProxy_ReadOnly < Pango::WrapMode > | property_wrap_mode () const
| How to break the string into multiple lines, if the cell renderer does not have enough room to display the entire string. More...
Glib::PropertyProxy< int > | property_wrap_width ()
| The width at which the text is wrapped. More...
Glib::PropertyProxy_ReadOnly< int > | property_wrap_width () const
| The width at which the text is wrapped. More...
Glib::PropertyProxy < Pango::Alignment > | property_alignment ()
| How to align the lines. More...
Glib::PropertyProxy_ReadOnly < Pango::Alignment > | property_alignment () const
| How to align the lines. More...
Glib::PropertyProxy< bool > | property_background_set ()
| Whether this tag affects the background color. More...
Glib::PropertyProxy_ReadOnly < bool > | property_background_set () const
| Whether this tag affects the background color. More...
Glib::PropertyProxy< bool > | property_foreground_set ()
| Whether this tag affects the foreground color. More...
Glib::PropertyProxy_ReadOnly < bool > | property_foreground_set () const
| Whether this tag affects the foreground color. More...
Glib::PropertyProxy< bool > | property_family_set ()
| Whether this tag affects the font family. More...
Glib::PropertyProxy_ReadOnly < bool > | property_family_set () const
| Whether this tag affects the font family. More...
Glib::PropertyProxy< bool > | property_style_set ()
| Whether this tag affects the font style. More...
Glib::PropertyProxy_ReadOnly < bool > | property_style_set () const
| Whether this tag affects the font style. More...
Glib::PropertyProxy< bool > | property_variant_set ()
| Whether this tag affects the font variant. More...
Glib::PropertyProxy_ReadOnly < bool > | property_variant_set () const
| Whether this tag affects the font variant. More...
Glib::PropertyProxy< bool > | property_weight_set ()
| Whether this tag affects the font weight. More...
Glib::PropertyProxy_ReadOnly < bool > | property_weight_set () const
| Whether this tag affects the font weight. More...
Glib::PropertyProxy< bool > | property_stretch_set ()
| Whether this tag affects the font stretch. More...
Glib::PropertyProxy_ReadOnly < bool > | property_stretch_set () const
| Whether this tag affects the font stretch. More...
Glib::PropertyProxy< bool > | property_size_set ()
| Whether this tag affects the font size. More...
Glib::PropertyProxy_ReadOnly < bool > | property_size_set () const
| Whether this tag affects the font size. More...
Glib::PropertyProxy< bool > | property_scale_set ()
| Whether this tag scales the font size by a factor. More...
Glib::PropertyProxy_ReadOnly < bool > | property_scale_set () const
| Whether this tag scales the font size by a factor. More...
Glib::PropertyProxy< bool > | property_editable_set ()
| Whether this tag affects text editability. More...
Glib::PropertyProxy_ReadOnly < bool > | property_editable_set () const
| Whether this tag affects text editability. More...
Glib::PropertyProxy< bool > | property_strikethrough_set ()
| Whether this tag affects strikethrough. More...
Glib::PropertyProxy_ReadOnly < bool > | property_strikethrough_set () const
| Whether this tag affects strikethrough. More...
Glib::PropertyProxy< bool > | property_underline_set ()
| Whether this tag affects underlining. More...
Glib::PropertyProxy_ReadOnly < bool > | property_underline_set () const
| Whether this tag affects underlining. More...
Glib::PropertyProxy< bool > | property_rise_set ()
| Whether this tag affects the rise. More...
Glib::PropertyProxy_ReadOnly < bool > | property_rise_set () const
| Whether this tag affects the rise. More...
Glib::PropertyProxy< bool > | property_language_set ()
| Whether this tag affects the language the text is rendered as. More...
Glib::PropertyProxy_ReadOnly < bool > | property_language_set () const
| Whether this tag affects the language the text is rendered as. More...
Glib::PropertyProxy< bool > | property_ellipsize_set ()
| Whether this tag affects the ellipsize mode. More...
Glib::PropertyProxy_ReadOnly < bool > | property_ellipsize_set () const
| Whether this tag affects the ellipsize mode. More...
Glib::PropertyProxy< bool > | property_single_paragraph_mode ()
| Whether or not to keep all text in a single paragraph. More...
Glib::PropertyProxy_ReadOnly < bool > | property_single_paragraph_mode () const
| Whether or not to keep all text in a single paragraph. More...
Public Member Functions inherited from Gtk::CellRenderer
virtual | ~CellRenderer ()
GtkCellRenderer* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkCellRenderer* | gobj () const
| Provides access to the underlying C GtkObject. More...
void | get_size (Widget& widget, const Gdk::Rectangle& cell_area, int& x_offset, int& y_offset, int& width, int& height) const
| Obtains the width and height needed to render the cell. More...
void | get_size (Widget& widget, int& x_offset, int& y_offset, int& width, int& height) const
| Obtains the width and height needed to render the cell. More...
void | render (const Glib::RefPtr< Gdk::Window >& window, Widget& widget, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, const Gdk::Rectangle& expose_area, CellRendererState flags)
| Invokes the virtual render function of the Gtk::CellRenderer. More...
bool | activate (GdkEvent* event, Widget& widget, const Glib::ustring& path, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, CellRendererState flags)
| Passes an activate event to the cell renderer for possible processing. More...
CellEditable* | start_editing (GdkEvent* event, Widget& widget, const Glib::ustring& path, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, CellRendererState flags=CellRendererState(0))
| Passes an activate event to the cell renderer for possible processing. More...
void | set_fixed_size (int width, int height)
| Sets the renderer size to be explicit, independent of the properties set. More...
void | get_fixed_size (int& width, int& height) const
| Fills in width and height with the appropriate size of cell. More...
void | set_alignment (float align, float yalign)
| Sets the renderer's alignment within its available space. More...
void | get_alignment (float& xalign, float& yalign) const
| Fills in xalign and yalign with the appropriate values of cell. More...
void | set_padding (int xpad, int ypad)
| Sets the renderer's padding. More...
void | get_padding (int& xpad, int& ypad) const
| Fills in xpad and ypad with the appropriate values of cell. More...
void | set_visible (bool visible=true)
| Sets the cell renderer's visibility. More...
bool | get_visible () const
| Returns the cell renderer's visibility. More...
void | set_sensitive (bool sensitive=true)
| Sets the cell renderer's sensitivity. More...
bool | get_sensitive () const
| Returns the cell renderer's sensitivity. More...
void | editing_canceled ()
| Causes the cell renderer to emit the Gtk::CellRenderer::signal_editing_canceled() signal. More...
void | stop_editing (bool canceled=false)
| Informs the cell renderer that the editing is stopped. More...
Glib::SignalProxy0< void > | signal_editing_canceled ()
| This signal is emitted when the user cancels the process of editing a cell. More...
Glib::SignalProxy2< void, CellEditable*, const Glib::ustring& > | signal_editing_started ()
| This signal gets emitted when a cell starts to be edited. More...
Glib::PropertyProxy < CellRendererMode > | property_mode ()
| Editable mode of the CellRenderer. More...
Glib::PropertyProxy_ReadOnly < CellRendererMode > | property_mode () const
| Editable mode of the CellRenderer. More...
Glib::PropertyProxy< bool > | property_visible ()
| Display the cell. More...
Glib::PropertyProxy_ReadOnly < bool > | property_visible () const
| Display the cell. More...
Glib::PropertyProxy< bool > | property_sensitive ()
| Display the cell sensitive. More...
Glib::PropertyProxy_ReadOnly < bool > | property_sensitive () const
| Display the cell sensitive. More...
Glib::PropertyProxy< float > | property_xalign ()
| The x-align. More...
Glib::PropertyProxy_ReadOnly < float > | property_xalign () const
| The x-align. More...
Glib::PropertyProxy< float > | property_yalign ()
| The y-align. More...
Glib::PropertyProxy_ReadOnly < float > | property_yalign () const
| The y-align. More...
Glib::PropertyProxy< unsigned int > | property_xpad ()
| The xpad. More...
Glib::PropertyProxy_ReadOnly < unsigned int > | property_xpad () const
| The xpad. More...
Glib::PropertyProxy< unsigned int > | property_ypad ()
| The ypad. More...
Glib::PropertyProxy_ReadOnly < unsigned int > | property_ypad () const
| The ypad. More...
Glib::PropertyProxy< int > | property_width ()
| The fixed width. More...
Glib::PropertyProxy_ReadOnly< int > | property_width () const
| The fixed width. More...
Glib::PropertyProxy< int > | property_height ()
| The fixed height. More...
Glib::PropertyProxy_ReadOnly< int > | property_height () const
| The fixed height. More...
Glib::PropertyProxy< bool > | property_is_expander ()
| Row has children. More...
Glib::PropertyProxy_ReadOnly < bool > | property_is_expander () const
| Row has children. More...
Glib::PropertyProxy< bool > | property_is_expanded ()
| Row is an expander row, and is expanded. More...
Glib::PropertyProxy_ReadOnly < bool > | property_is_expanded () const
| Row is an expander row, and is expanded. More...
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_cell_background ()
| Cell background color as a string. More...
Glib::PropertyProxy< Gdk::Color > | property_cell_background_gdk ()
| Cell background color as a GdkColor. More...
Glib::PropertyProxy_ReadOnly < Gdk::Color > | property_cell_background_gdk () const
| Cell background color as a GdkColor. More...
Glib::PropertyProxy< bool > | property_cell_background_set ()
| Whether this tag affects the cell background color. More...
Glib::PropertyProxy_ReadOnly < bool > | property_cell_background_set () const
| Whether this tag affects the cell background color. More...
Glib::PropertyProxy_ReadOnly < bool > | property_editing () const
| Whether the cell renderer is currently in editing mode. More...
Public Member Functions inherited from Gtk::Object
virtual | ~Object ()
GtkObject* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkObject* | gobj () const
| Provides access to the underlying C GtkObject. More...
Glib::PropertyProxy< void* > | property_user_data ()
| Anonymous User Data Pointer. More...
Glib::PropertyProxy_ReadOnly < void* > | property_user_data () const
| Anonymous User Data Pointer. More...
Public Member Functions inherited from Glib::Object
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable (const trackable &src)
trackable & | operator= (const trackable &src)
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | remove_destroy_notify_callback (void *data) const
void | notify_callbacks ()

## Protected Member Functions
virtual void | on_edited (const Glib::ustring& path, const Glib::ustring& new_text)
| This is a default handler for the signal signal_edited(). More...
void | edited (const Glib::ustring& path, const Glib::ustring& new_text)
| Emits the "edited" signal. More...
Protected Member Functions inherited from Gtk::CellRenderer
virtual void | on_editing_canceled ()
| This is a default handler for the signal signal_editing_canceled(). More...
| CellRenderer ()
virtual void | get_size_vfunc (Widget& widget, const Gdk::Rectangle* cell_area, int* x_offset, int* y_offset, int* width, int* height) const
| Override this in derived CellRenderers. More...
virtual void | render_vfunc (const Glib::RefPtr< Gdk::Drawable >& window, Widget& widget, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, const Gdk::Rectangle& expose_area, CellRendererState flags)
virtual bool | activate_vfunc (GdkEvent* event, Widget& widget, const Glib::ustring& path, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, CellRendererState flags)
virtual CellEditable* | start_editing_vfunc (GdkEvent* event, Widget& widget, const Glib::ustring& path, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, CellRendererState flags)

## Related Functions
(Note that these are not member functions.)
Gtk::CellRendererText* | wrap (GtkCellRendererText* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::CellRenderer
Gtk::CellRenderer* | wrap (GtkCellRenderer* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Object
Gtk::Object* | wrap (GtkObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify )(gpointer data)

## Detailed Description

Renders text in a cell.

## Constructor & Destructor Documentation

virtual Gtk::CellRendererText::~CellRendererText | ( |  | ) |
| virtual

Gtk::CellRendererText::CellRendererText | ( |  | ) |

## Member Function Documentation

void Gtk::CellRendererText::edited | ( | const Glib::ustring & | path,
|  | const Glib::ustring & | new_text
| ) |  |
| protected

Emits the "edited" signal.

This is useful when implementing custom CellRenderers.

GtkCellRendererText* Gtk::CellRendererText::gobj | ( |  | ) |
| inline

Provides access to the underlying C GtkObject.

const GtkCellRendererText* Gtk::CellRendererText::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GtkObject.

virtual void Gtk::CellRendererText::on_edited | ( | const Glib::ustring & | path,
|  | const Glib::ustring & | new_text
| ) |  |
| protectedvirtual

This is a default handler for the signal signal_edited().

Glib::PropertyProxy< Pango::Alignment > Gtk::CellRendererText::property_alignment | ( |  | ) |

How to align the lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Pango::Alignment > Gtk::CellRendererText::property_alignment | ( |  | ) | const

How to align the lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Pango::AttrList > Gtk::CellRendererText::property_attributes | ( |  | ) |

A list of style attributes to apply to the text of the renderer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Pango::AttrList > Gtk::CellRendererText::property_attributes | ( |  | ) | const

A list of style attributes to apply to the text of the renderer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gtk::CellRendererText::property_background | ( |  | ) |

Background color as a string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gdk::Color > Gtk::CellRendererText::property_background_gdk | ( |  | ) |

Background color as a GdkColor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gdk::Color > Gtk::CellRendererText::property_background_gdk | ( |  | ) | const

Background color as a GdkColor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_background_set | ( |  | ) |

Whether this tag affects the background color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_background_set | ( |  | ) | const

Whether this tag affects the background color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_editable | ( |  | ) |

Whether the text can be modified by the user.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_editable | ( |  | ) | const

Whether the text can be modified by the user.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_editable_set | ( |  | ) |

Whether this tag affects text editability.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_editable_set | ( |  | ) | const

Whether this tag affects text editability.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Pango::EllipsizeMode > Gtk::CellRendererText::property_ellipsize | ( |  | ) |

The preferred place to ellipsize the string, if the cell renderer does not have enough room to display the entire string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Pango::EllipsizeMode > Gtk::CellRendererText::property_ellipsize | ( |  | ) | const

The preferred place to ellipsize the string, if the cell renderer does not have enough room to display the entire string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_ellipsize_set | ( |  | ) |

Whether this tag affects the ellipsize mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_ellipsize_set | ( |  | ) | const

Whether this tag affects the ellipsize mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::CellRendererText::property_family | ( |  | ) |

Name of the font family, e.g.

Sans, Helvetica, Times, Monospace.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::CellRendererText::property_family | ( |  | ) | const

Name of the font family, e.g.

Sans, Helvetica, Times, Monospace.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_family_set | ( |  | ) |

Whether this tag affects the font family.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_family_set | ( |  | ) | const

Whether this tag affects the font family.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::CellRendererText::property_font | ( |  | ) |

Font description as a string, e.g.

'Sans Italic 12'.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::CellRendererText::property_font | ( |  | ) | const

Font description as a string, e.g.

'Sans Italic 12'.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Pango::FontDescription > Gtk::CellRendererText::property_font_desc | ( |  | ) |

Font description as a PangoFontDescription struct.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Pango::FontDescription > Gtk::CellRendererText::property_font_desc | ( |  | ) | const

Font description as a PangoFontDescription struct.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gtk::CellRendererText::property_foreground | ( |  | ) |

Foreground color as a string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gdk::Color > Gtk::CellRendererText::property_foreground_gdk | ( |  | ) |

Foreground color as a GdkColor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gdk::Color > Gtk::CellRendererText::property_foreground_gdk | ( |  | ) | const

Foreground color as a GdkColor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_foreground_set | ( |  | ) |

Whether this tag affects the foreground color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_foreground_set | ( |  | ) | const

Whether this tag affects the foreground color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::CellRendererText::property_language | ( |  | ) |

The language this text is in, as an ISO code.

Pango can use this as a hint when rendering the text. If you don't understand this parameter, you probably don't need it.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::CellRendererText::property_language | ( |  | ) | const

The language this text is in, as an ISO code.

Pango can use this as a hint when rendering the text. If you don't understand this parameter, you probably don't need it.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_language_set | ( |  | ) |

Whether this tag affects the language the text is rendered as.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_language_set | ( |  | ) | const

Whether this tag affects the language the text is rendered as.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gtk::CellRendererText::property_markup | ( |  | ) |

Marked up text to render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::CellRendererText::property_rise | ( |  | ) |

Offset of text above the baseline (below the baseline if rise is negative).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::CellRendererText::property_rise | ( |  | ) | const

Offset of text above the baseline (below the baseline if rise is negative).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_rise_set | ( |  | ) |

Whether this tag affects the rise.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_rise_set | ( |  | ) | const

Whether this tag affects the rise.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Gtk::CellRendererText::property_scale | ( |  | ) |

Font scaling factor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Gtk::CellRendererText::property_scale | ( |  | ) | const

Font scaling factor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_scale_set | ( |  | ) |

Whether this tag scales the font size by a factor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_scale_set | ( |  | ) | const

Whether this tag scales the font size by a factor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_single_paragraph_mode | ( |  | ) |

Whether or not to keep all text in a single paragraph.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_single_paragraph_mode | ( |  | ) | const

Whether or not to keep all text in a single paragraph.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::CellRendererText::property_size | ( |  | ) |

Font size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::CellRendererText::property_size | ( |  | ) | const

Font size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Gtk::CellRendererText::property_size_points | ( |  | ) |

Font size in points.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Gtk::CellRendererText::property_size_points | ( |  | ) | const

Font size in points.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_size_set | ( |  | ) |

Whether this tag affects the font size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_size_set | ( |  | ) | const

Whether this tag affects the font size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Pango::Stretch > Gtk::CellRendererText::property_stretch | ( |  | ) |

Font stretch.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Pango::Stretch > Gtk::CellRendererText::property_stretch | ( |  | ) | const

Font stretch.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_stretch_set | ( |  | ) |

Whether this tag affects the font stretch.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_stretch_set | ( |  | ) | const

Whether this tag affects the font stretch.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_strikethrough | ( |  | ) |

Whether to strike through the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_strikethrough | ( |  | ) | const

Whether to strike through the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_strikethrough_set | ( |  | ) |

Whether this tag affects strikethrough.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_strikethrough_set | ( |  | ) | const

Whether this tag affects strikethrough.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Pango::Style > Gtk::CellRendererText::property_style | ( |  | ) |

Font style.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Pango::Style > Gtk::CellRendererText::property_style | ( |  | ) | const

Font style.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_style_set | ( |  | ) |

Whether this tag affects the font style.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_style_set | ( |  | ) | const

Whether this tag affects the font style.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::CellRendererText::property_text | ( |  | ) |

Text to render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::CellRendererText::property_text | ( |  | ) | const

Text to render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Pango::Underline > Gtk::CellRendererText::property_underline | ( |  | ) |

Style of underline for this text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Pango::Underline > Gtk::CellRendererText::property_underline | ( |  | ) | const

Style of underline for this text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_underline_set | ( |  | ) |

Whether this tag affects underlining.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_underline_set | ( |  | ) | const

Whether this tag affects underlining.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Pango::Variant > Gtk::CellRendererText::property_variant | ( |  | ) |

Font variant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Pango::Variant > Gtk::CellRendererText::property_variant | ( |  | ) | const

Font variant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_variant_set | ( |  | ) |

Whether this tag affects the font variant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_variant_set | ( |  | ) | const

Whether this tag affects the font variant.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::CellRendererText::property_weight | ( |  | ) |

Font weight.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::CellRendererText::property_weight | ( |  | ) | const

Font weight.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::CellRendererText::property_weight_set | ( |  | ) |

Whether this tag affects the font weight.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererText::property_weight_set | ( |  | ) | const

Whether this tag affects the font weight.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::CellRendererText::property_width_chars | ( |  | ) |

The desired width of the label, in characters.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::CellRendererText::property_width_chars | ( |  | ) | const

The desired width of the label, in characters.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Pango::WrapMode > Gtk::CellRendererText::property_wrap_mode | ( |  | ) |

How to break the string into multiple lines, if the cell renderer does not have enough room to display the entire string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Pango::WrapMode > Gtk::CellRendererText::property_wrap_mode | ( |  | ) | const

How to break the string into multiple lines, if the cell renderer does not have enough room to display the entire string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::CellRendererText::property_wrap_width | ( |  | ) |

The width at which the text is wrapped.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::CellRendererText::property_wrap_width | ( |  | ) | const

The width at which the text is wrapped.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gtk::CellRendererText::set_fixed_height_from_font | ( | int | number_of_rows | ) |

Sets the height of a renderer to explicitly be determined by the "font" and "y_pad" property set on it.

Further changes in these properties do not affect the height, so they must be accompanied by a subsequent call to this function. Using this function is unflexible, and should really only be used if calculating the size of a cell is too slow (ie, a massive number of cells displayed). If number_of_rows is -1, then the fixed height is unset, and the height is determined by the properties again.

Parameters

  number_of_rows | Number of rows of text each cell renderer is allocated, or -1.

Glib::SignalProxy2< void,const Glib::ustring&,const Glib::ustring& > Gtk::CellRendererText::signal_edited | ( |  | ) |

Slot Prototype:
  `void on_my_edited(const Glib::ustring& path, const Glib::ustring& new_text)`

## Friends And Related Function Documentation

Gtk::CellRendererText* wrap | ( | GtkCellRendererText * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/cellrenderertext.h